Please read the original project brief and feel free to comment on the approach ideas, and what you think it can be done, tested, iterated in this project.

# Repurposing smartphones* into microcontrollers
An initiative of Delft OpenHardware

## Abstract
There are more than 5000 million mobile phone users worldwide (Sarath, 2015). Most of these phones end up being thrown away.  This, apart from being a loss of computational power, also constitutes a great environmental disaster. To do something about this, we decided to develop a method for repurposing those phones into microcontrollers.
## Similar projects
There have been some similar projects by various groups. Here we mention two of them as examples. The first one is "Galaxy Upcycling" (https://galaxyupcycling.github.io/) which aims to create a platform for reusing old Galaxy devices and currently seems to be under development. The second one is called "JanOs" (http://janos.io/) and is based on the use of a custom version of the Firefox OS for phones along with some simple rewiring on the phone's board (Jongboom, 2014). "JanOs" does have great capabilities but the fact that it officially supports a limited number of devices can be a major disadvantage.
## The main challenges
Although most phones nowadays contain a variety of sensors (accelerometer, camera, etc.) giving them the ability to capture data from the outside world, there are limited options for outputting signals capable of controlling external circuits. At the same time, our system must support as many devices as possible and make it easy for developers of various levels of experience to create applications around it. 
## Our approach
To overcome these challenges we suggest the following: Keeping the phone’s original OS and developing applications on it. This way making applications for it won’t be any different for making an app for a “normal” android device.It is important to notice that though rooting the device could offer some great advantages it won't be a necessity. We will also have to "hijack" some of the phone's hardware to add digital input and output capabilities. For example, the volume up and down buttons and the USB port could be used as digital inputs. For output, there seems to be great potential in using a Dual Tone Multi-Frequency (DTMF) decoder so that we can turn audio signals generated by the phone into digital outputs. Of course, the hardware platform will be accompanied by a software library so that developing code for it can be an easy and user-friendly process.
## Skill set and knowledge base needed
Electronics, PCB Design and Building, Java programming, Android Development,
Mobile phone hardware/technology.
References
Jongboom, J. (2014). Firefox OS as an Internet of Things platform. https://bit.ly/2VhDghc 
(Accessed on 6/10/2019)